## airstrike 0.99+1.0pre6a

=== Makefile ===

# always regenerate
.PHONY: airstrike airstrike-sound

airstrike:
	$(MAKE) -C src airstrike
	mv src/airstrike .

# note: do 'make clean' between sound changing
airstrike-sound:
	$(MAKE) -C src OPTIONS=-DUSE_SOUND airstrike-sound
	mv src/airstrike-sound airstrike

clean:
	$(RM) $(shell find . -name '*.[od]' -o -name '*~')
	$(RM) airstrike


# package name and what to exclude from it
PKG_NAME = airstrike-$(shell date -I)
EXCLUDE = --exclude '*/pov/*.png' --exclude '*/contrib*'

package: clean
	cd ..; \
	mv airstrike $(PKG_NAME); \
	tar -zcvf $(PKG_NAME).tar.gz $(EXCLUDE) $(PKG_NAME); \
	mv $(PKG_NAME) airstrike

# packages new files listed in new-files.txt
new:
	tar -zcvf new.tgz -T new-files.txt

=== pov/Makefile ===
# Makefile for creating Airstrike game graphics data
# from the PovRay v3.5 3D models. Requires _GNU_ make.
#
# Before you add animation creation in this Makefile, you
# can test animating your 'name.pov' with a command like:
#   make NAME=name WD=xx HT=yy FRAMES=kk OPT='options' BLUR=1 anim
#
# WD, HT, OPT and BLUR parameters are optional. If you don't want
# povray to wait for user click after each rendering, give
# BATCH=1 argument.
#
# (w) 2002 by Ulf Ekstrm & Eero Tamminen

# ---------------- default values -------------------------

ifndef WD
WD := 48
endif

ifndef HT
HT := 48
endif

# PovRay with default flags
POVRAY = povray +FN +DTC +A0.3 -J +UA -P

ifdef BATCH
POVRAYP = $(POVRAY)
else
# wait until user clicks
POVRAYP = $(POVRAY) +P
endif

# ------------------------------------------------------------

ifdef NAME

# I'm using submake to create animations because with
# shell-script you'd need to separately handle errors
# and Make does it automatically.

anim:
	$(RM) $(NAME).png
	$(POVRAY) +I$(NAME).pov +W$(WD) +H$(HT) +KFF$(FRAMES) $(OPT)
ifdef BLUR
	../utils/blur.sh $(NAME)[0-9]*.png
endif
	convert +append $(NAME)[0-9]*.png $(NAME).png
	$(RM) $(NAME)[0-9]*.png

else

# ------------------------------------------------------------

# all models
POV = $(wildcard *.pov)
PNG = $(patsubst %.pov, %.png, $(POV)) bonus.png

all: $(PNG)

# default rule for other POV files
%.png: %.pov
	$(POVRAYP) +I$< +W$(WD) +H$(HT)

# -------------------- animations -----------------------------

# explicit rules are separated into animations that use submake
# and single frames which just use povray.  They are sorted
# alphabetically so that the rules are easier to find and in
# the same order as Make will execute them with the 'all' rule.

airballoon.png: airballoon.pov
	$(MAKE) NAME=airballoon WD=64 HT=64 FRAMES=8 OPT=+KC anim

bird.png: bird.pov
	$(MAKE) NAME=bird WD=12 HT=12 FRAMES=8 anim

bomb.png: bomb.pov 
	$(MAKE) NAME=bomb WD=16 HT=16 FRAMES=64 anim

bombexplosion.png: bombexplosion.pov
	$(MAKE) NAME=bombexplosion WD=48 HT=48 FRAMES=32 anim

bonus-machine.png: bonus-machine.pov 
	$(MAKE) NAME=bonus-machine WD=48 HT=32 FRAMES=16 anim

balloon-deflate.png: balloon-deflate.pov
	$(MAKE) NAME=balloon-deflate WD=32 HT=32 FRAMES=32 OPT=+KC anim

balloon-bounce.png: balloon-bounce.pov
	$(MAKE) NAME=balloon-bounce WD=32 HT=32 FRAMES=32 OPT=+KC anim

bullet.png: bullet.pov
	$(MAKE) NAME=bullet WD=24 HT=24 FRAMES=64 anim

cannon-left.png: cannon-left.pov cannon.inc
	$(MAKE) NAME=cannon-left WD=64 HT=48 FRAMES=16 anim

cannon-right.png: cannon-right.pov cannon.inc
	$(MAKE) NAME=cannon-right WD=64 HT=48 FRAMES=16 anim

cannon-turn-lr.png: cannon-turn.pov cannon.inc
	$(MAKE) NAME=cannon-turn WD=64 HT=48 FRAMES=32 BLUR=1 anim

cannon-turn-rl.png: cannon-turn.pov cannon.inc
	$(MAKE) NAME=cannon-turn WD=64 HT=48 FRAMES=32 BLUR=1 anim

direxpl.png: direxpl.pov
	$(MAKE) NAME=direxpl WD=24 HT=24 FRAMES=256 OPT=+KF32 anim

dust.png: dust.pov
	$(MAKE) NAME=dust WD=16 HT=16 FRAMES=16 anim

energymeter.png: energymeter.pov
	$(MAKE) NAME=energymeter WD=12 HT=64 FRAMES=16 anim

fire.png: fire.pov
	$(MAKE) NAME=fire WD=24 HT=24 FRAMES=16 OPT=+KC anim

firebomb.png: firebomb.pov
	$(MAKE) NAME=firebomb WD=48 HT=48 FRAMES=32 anim

gauge.png: gauge.pov
	$(MAKE) NAME=gauge WD=48 HT=48 FRAMES=64 anim

hangar.png: hangar.pov
	$(MAKE) NAME=hangar WD=100 HT=64 FRAMES=8 anim

mark.png: mark.pov
	$(MAKE) NAME=mark WD=24 HT=24 FRAMES=16 OPT=+KC anim

missile.png: missile.pov
	$(MAKE) NAME=missile WD=24 HT=24 FRAMES=64 OPT=+KC anim

plane.png: plane.pov
	$(MAKE) NAME=plane WD=48 HT=48 FRAMES=64 OPT=+KC anim

smoke.png: smoke.pov
	$(MAKE) NAME=smoke WD=16 HT=16 FRAMES=16 anim

spikeball.png: spikeball.pov 
	$(MAKE) NAME=spikeball WD=16 HT=16 FRAMES=32 anim

ufo.png: ufo.pov
	$(MAKE) NAME=ufo WD=48 HT=48 FRAMES=64 OPT=+KC anim

zeppelin-turn-lr.png: zeppelin-turn-lr.pov zeppelin.inc
	$(MAKE) NAME=zeppelin-turn-lr WD=96 HT=64 FRAMES=32 BLUR=1 anim

zeppelin-turn-rl.png: zeppelin-turn-rl.pov zeppelin.inc
	$(MAKE) NAME=zeppelin-turn-rl WD=96 HT=64 FRAMES=32 BLUR=1 anim

zeppelin-wreck.png: zeppelin-wreck.pov
	$(MAKE) NAME=zeppelin-wreck WD=96 HT=64 FRAMES=6 anim

# --------------------- stilleben ----------------------------

balloon-float.png: balloon-float.pov
	$(POVRAYP) +I$< +W32 +H32

bonus0.png: bonus0.pov bonus.inc
	$(POVRAY) +I$< +W32 +H32
bonus1.png: bonus1.pov bonus.inc
	$(POVRAY) +I$< +W32 +H32
bonus2.png: bonus2.pov bonus.inc
	$(POVRAY) +I$< +W32 +H32
bonus3.png: bonus3.pov bonus.inc
	$(POVRAY) +I$< +W32 +H32
bonus4.png: bonus4.pov bonus.inc
	$(POVRAY) +I$< +W32 +H32
bonus5.png: bonus5.pov bonus.inc
	$(POVRAY) +I$< +W32 +H32
bonus6.png: bonus6.pov bonus.inc
	$(POVRAY) +I$< +W32 +H32
bonus7.png: bonus7.pov bonus.inc
	$(POVRAY) +I$< +W32 +H32

# bonuses have to handled separately because POV-Ray bugs
# if you span switch-ranges over several includes...
bonus.png: bonus0.png bonus1.png bonus2.png bonus3.png bonus4.png bonus5.png bonus6.png bonus7.png
	convert +append bonus[0-9]*.png $@

cannonball.png: cannonball.pov
	$(POVRAYP) +I$< +W8 +H8

cloud.png: cloud.pov
	$(POVRAYP) +I$< +W240 +H120

hills.png: hills.pov
	$(POVRAYP) +I$< +W800 +H600

man.png: man.pov parachute.inc
	$(POVRAYP) +I$< +W48 +H48

tie.png: tie.pov
	$(POVRAYP) +I$< +W48 +H48

zeppelin-left.png: zeppelin-left.pov zeppelin.inc
	$(POVRAYP) +I$< +W96 +H64

zeppelin-right.png: zeppelin-right.pov zeppelin.inc
	$(POVRAYP) +I$< +W96 +H64

# ----------------------------------------------------------

endif # NAME


install: all
	$(CP) *.png ../data/

clean:
	$(RM) *~

distclean: clean
	$(RM) *.png

=== src/Makefile ===
CFLAGS:= -g -O2 -Wall -Wno-unused $(OPTIONS)
#
CFLAGS += $(shell sdl-config --cflags) -Isprite -I. -Isupport -DINLINE=inline
CFILES:= $(shell find . -name '*.c')
OBJECTS:= $(CFILES:.c=.o)

airstrike: $(OBJECTS)
	$(CC) -o $@ $(CFLAGS) $(OBJECTS) `sdl-config --libs` -lSDL_image

airstrike-sound: $(OBJECTS)
	$(CC) -o $@ $(CFLAGS) $(OBJECTS) `sdl-config --libs` -lSDL_image -lSDL_mixer

# Use the rule below when coding new sprite types
#sprites_autogen.h: sprite_types/*.c
#	../utils/genspritelist.sh $^

clean:
	rm -f `find . -name '*.[od]' -or -name '*~' -or -name '*.bb' -or -name '*.bbg'`

dryclean: 
	rm -f `find . -name '*.[^ch]' -type f` 

#Automatic dependency handling. This is not needed for a simple compile.

#include $(CFILES:.c=.d)
#
#%.d: %.c
#	$(CC) -MM $(CFLAGS) $< > $@.$$$$; \
#	sed 's,$(*F)\.o[ :]*,$(@:.d=.o) $@ : ,g' < $@.$$$$ > $@; \
#	rm -f $@.$$$$

=== utils/Makefile ===

all: showanim hfinter heightfield

showanim: showanim.c
	$(CC) -Wall -o $@ $^ `sdl-config --cflags --libs` -lSDL_image

hfinter: hfinter.c
	$(CC) -Wall -o $@ $^ `sdl-config --cflags --libs` -lSDL_image

heightfield: heightfield.c
	$(CC) -Wall -g -o $@ $^ `sdl-config --cflags --libs` -lSDL_image

clean:
	rm -f showanim *~ \#*

## airstrike 0.99%2B1.0pre6a

=== debian/control ===
Source: airstrike
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 9),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/airstrike.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/airstrike.git
Homepage: http://icculus.org/airstrike/

Package: airstrike
Architecture: any
Depends:
 airstrike-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: 2d dogfight game in the tradition of 'Biplanes' and 'BIP'
 Airstrike is a 2d dogfight game in the tradition of the Intellivision and
 Amiga games 'Biplanes' and 'BIP'. It features a robust physics engine and
 several other extensions of the original games. Playable by
 1 or 2 persons.

Package: airstrike-common
Architecture: all
Depends:
 ${misc:Depends}
Description: 2d dogfight game - data files
 Airstrike is a 2d dogfight game in the tradition of the Intellivision and
 Amiga games 'Biplanes' and 'BIP'. It features a robust physics engine and
 several other extensions of the original games. It is currently 0-2 player
 only, but will hopefully have network play and some more advanced computer
 controlled enemies in the future. The graphics have been created using the
 Povray raytracer, and should be easy to extend and modify.
 .
 This package contains the architecture-independent data files.

## airstrike 0.99+1.0pre6a

=== debian/changelog ===
airstrike (0.99+1.0pre6a-5) unstable; urgency=low

  * Team upload.

  [ Paul Wise ]
  * Add a watch file
  * Removed mention of network play from description
    (Closes: #594665) (LP: #602703)

  [ Ansgar Burchardt ]
  * Use source format 3.0 (quilt).
  * Add -lm to fix FTBFS with binutils-gold.  Thanks to Ilya Barygin for the
    patch. (Closes: #553647)
  * Bump Standards-Version to 3.9.1 (no changes).
  * Add ${misc:Depends}; remove ${shlibs:Depends} for Arch: all package.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 14 Mar 2011 15:09:53 +0100

airstrike (0.99+1.0pre6a-4) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file
  * debian/control: Change XS-Vcs-* to Vcs-*

  [ Arthur Loiret ]
  * debian/copyright: pention the current maintainer is the Debian Game team.

  [ Barry deFreese ]
  * Acknowledge NMUs.
  * Add myself to uploaders.
  * Move old source changes to patches.
    + fix_paths.diff - Fix paths in Makefile, config.h, and airstrike.c.
    + manpage.diff - Add .SH section to manpage.
    + airstrikerc.diff - Fix path to data.
  * fix-spawn-level.diff. (Closes: #470471).
    + Start planes at same height.
  * Fix copyright encoding to UTF-8.
  * Remove unneeded dirs file.
  * Install desktop and icon file in .install file.
  * Add call to dh_desktop.
  * Bump Standards Version to 3.7.3.
    + Menu policy transition.

 -- Barry deFreese <bddebian@comcast.net>  Mon, 17 Mar 2008 21:05:57 -0400

airstrike (0.99+1.0pre6a-3.1) unstable; urgency=low

  * NMU with current maintainer's authorization.
  * Set Maintainer to the Debian Games Team.
  * Add a .desktop and an icon. (Closes: #359279, #432842)
    - debian/dirs: Update.
    - debian/rules: Install .desktop and icon.
  * debian/rules: generate airstrike-common in binary-arch target.
    (Closes: #304116)
  * debian/control:
    - Add quilt (>= 0.40) to Build-Depends.
    - Update debhelper version.
    - Update Standards-Version.
    - Add Homepage.
  * debian/patches/series: Add.
    - fix-red-baron-has-unlimited-bombs.diff: Add. (Closes: #340167)
    - fix-buffer-overflow.diff: Add. (Closes: #290423)
    - fix-unusable-on-amd64.diff: Add. (Closes: #406879)
    - fix-segfault-on-close.diff: Add. (Closes: #418192)
  * debian/rules:
    - Remove deprecated DH_COMPAT.
    - Update CFLAGS.
    - Remove unused configure target.
    - Fix debian-rules-ignore-make-clean-errors.
    - Remove useless comments.
    - Don't install menu file anymore since there is a .desktop now.
  * debian/copyright:
    - Add missing copyright.
    - Update FSF address.
  * debian/compat: Add.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 09 Oct 2007 12:40:20 +0200

airstrike (0.99+1.0pre6a-3) unstable; urgency=low

  * Added "Replaces: airstrike (<< 0.99+1.0pre6a-2)" to
    airstrike-common to get rid of problems at upgrading to the
    splitted version (closes: #278110).
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>.

 -- Sven Velt <sven@velt.de>  Sat, 30 Oct 2004 17:23:12 +0200

airstrike (0.99+1.0pre6a-2) unstable; urgency=low

  * "Release Notes" and "About the game" fixed (closes: #231820).
  * Fixed manpage so whatis parse problem is gone
    (closes: #238021).
  * Moved arch independent data in separate airstrike-common package
    (closes: #233323).
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>.

 -- Sven Velt <sven@velt.de>  Tue, 28 Sep 2004 13:24:29 +0200

airstrike (0.99+1.0pre6a-1) unstable; urgency=low

  * New upstream (closes: #22807) should be completly licensed
    under the GPL (closes: #228085) and includes a man page
    (closes: #225658)
  * Useless files are removed from the package (closes: 225660)
  * Sound files removed due to unknown source and license.
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>.

 -- Sven Velt <sven@velt.de>  Wed, 03 Feb 2004 00:25:29 +0100

airstrike (0.99+1.0pre4-1) unstable; urgency=low

  * Initial Release (closes: #179453).
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>.

 -- Sven Velt <sven@velt.de>  Fri, 30 Oct 2003 11:31:09 +0200

=== debian/control ===
Source: airstrike
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sven Velt <sven@velt.de>, Barry deFreese <bddebian@comcast.net>
Build-Depends: debhelper (>= 5), libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/airstrike/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/airstrike/?op=log
Homepage: http://icculus.org/airstrike/

Package: airstrike
Architecture: any
Depends: airstrike-common, ${shlibs:Depends}, ${misc:Depends}
Description: 2d dogfight game in the tradition of 'Biplanes' and 'BIP'
 Airstrike is a 2d dogfight game in the tradition of the Intellivision and
 Amiga games 'Biplanes' and 'BIP'. It features a robust physics engine and
 several other extensions of the original games. Playable by 
 1 or 2 persons.

Package: airstrike-common
Architecture: all
Depends: ${misc:Depends}
Replaces: airstrike (<< 0.99+1.0pre6a-2)
Description: 2d dogfight game in the tradition of 'Biplanes' and 'BIP'
 Airstrike is a 2d dogfight game in the tradition of the Intellivision and
 Amiga games 'Biplanes' and 'BIP'. It features a robust physics engine and
 several other extensions of the original games. It is currently 0-2 player
 only, but will hopefully have network play and some more advanced computer
 controlled enemies in the future. The graphics have been created using the
 Povray raytracer, and should be easy to extend and modify.
 .
 This package contains the architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS := -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	#Remove empty dir
	rm -rf debian/tmp/usr/share/games/airstrike/sound

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i ChangeLog
	dh_install -i
	dh_link -i
	dh_strip -i
	dh_fixperms -i
	dh_compress -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installmenu -a
	dh_installman -a doc/airstrike.6
	dh_installchangelogs -a ChangeLog
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_fixperms -a
	dh_compress -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="uversionmangle=s/pre/0.99+1.0pre/" http://icculus.org/airstrike/airstrike-([^-]*)-src.tar.gz
